Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [DE] [gelöst] Apt verweigert Installation von kdeplasma-addons  (Read 11910 times)

Offline midrow

  • User
  • Posts: 69
Hallo zusammen,

bin endlich auch auf siduction umgestiegen :D (parallel läuft noch ein aptosid).

Zum Thema:
Beim Versuch, kdeplasma-addons zu installieren, gibt Apt seit mehreren Tagen Folgendes aus:
Code: [Select]
# apt-get install kdeplasma-addons
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Statusinformationen werden eingelesen... Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 kdeplasma-addons : Hängt ab von: plasma-widgets-addons (>= 4:4.6.5-1) soll aber nicht installiert werden
                    Hängt ab von: plasma-widget-lancelot (>= 4:4.6.5-1) soll aber nicht installiert werden
E: Beschädigte Pakete

Kann es wirklich sein, dass einige Pakete immer "noch nicht erstellt wurden"?

Was kann man da tun? Ein "force" will ich vermeiden ...

Bis bald
midrow

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.844
Apt verweigert Installation von
« Reply #1 on: 2012/02/10, 22:10:03 »
Das Problem ist, dass KDE 4.7.2 im qt-kde.debian.net Repository nicht mehr existiert. Es gibt derzeit nur 4.6.5 in sid (zu alt für deine Install) und 4.7.4 in experimental. das hab ich seit 6 wochen im täglichen Einsatz ohne Probleme.

Du kannst mal versuchen, ob:
Code: [Select]
aptitude update  && aptitude -t experimental install ~S~i~Aexperimental-snapshots funktioniert. Sollte es eigentlich, nachdem Du aptitude installiert und
Code: [Select]
deb http://ftp.de.debian.org/debian/ experimental mainin Deine debian.list eingetragen hast. Danach kannst Du auch kdeplasma-addons installieren.
Rückmeldung, ob das so noch funktioniert, wäre nett.

greetz
devil

Offline midrow

  • User
  • Posts: 69
Re: Apt verweigert Installation von
« Reply #2 on: 2012/02/10, 22:28:11 »
Hallo devil,

danke für die schnelle Antwort! :D
Quote from: "devil"
Das Problem ist, dass KDE 4.7.2 im qt-kde.debian.net Repository nicht mehr existiert. Es gibt derzeit nur 4.6.5 in sid (zu alt für deine Install) und 4.7.4 in experimental. das hab ich seit 6 wochen im täglichen Einsatz ohne Probleme.
Hatte etwas in dieser Richtung vermutet ...

Quote
Du kannst mal versuchen, ob:
Code: [Select]
aptitude update  && aptitude -t experimental install ~S~i~Aexperimental-snapshots funktioniert.

Während der ganzen sidux/aptosid-Zeit ist mir eingeimpft worden, aptitude nicht zu verwenden! Hab das auch noch nie benutzt! Weiß nur, dass ralul ein emsiger Verfechter dieser Software ist.

Nach Einbinden von experimental müsste das doch auch mit apt-get gehen, ich wüsste dann nur gerne die Äquivalente von ~S~i~A ...

midrow

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.844
Re: Apt verweigert Installation von
« Reply #3 on: 2012/02/10, 22:42:24 »
Nein, apt-get kann das nicht. Das Problem mit aptitude, bzw. dessen Geisselung bei sidux/aptosid ist mehr oder weniger rein psychologischer Natur. aptitude hat generell einen besseren solver als apt, ist dadurch aber auch komplizierter, was bei sid besonders zum tragen kommt. Hinzu kam bis vor einiger Zeit die tatsache, dass man beide nicht nebeneiander verwenden sollte. Das gilt nicht mehr. Du kannst obigen Befehl ohne weiteres ausführen.

greetz
devil

Offline Lanzi

  • User
  • Posts: 1.781
Re: Apt verweigert Installation von
« Reply #4 on: 2012/02/10, 22:49:40 »
Entschuldigt, wenn ich mich kurz reinhänge:

Mit welchem Befehl installiere ich KDE komplett aus experimental?

mit apt-get install -t experimental kde-window-manager gabs wohl nur nen Teil...

Denn ein "apt-show-versions --upgradeable" zeigt mir noch recht vieles, was ich noch "manually" upgraden kann...

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.844
Re: Apt verweigert Installation von
« Reply #5 on: 2012/02/10, 22:54:26 »
Lanzi,
obiger Befehl installiert das aus experimental, was als -aus experimental-snapshots installiert- markiert ist. Das gilt halt nur für frische siduction Installs oder für Installs, die per Hand aus dem qt-kde Repo auf 4.7.2 hochgezogen wurden.

greetz
devil

Offline Lanzi

  • User
  • Posts: 1.781
Re: Apt verweigert Installation von
« Reply #6 on: 2012/02/10, 23:06:46 »
kann man denn nicht kde komplett aus experimental ziehen?
ich probiere oberen Befehl mal aus. hatte ja alles aus experimental-snapshots.
Ich hätte gerne kde ganz auf 4.7.4. Ich meine, spätestens, wenn mal alles nach SID kommt, wärs ja auch erledigt, aber das dauert ja schon wieder recht lang mit 4.7...

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.844
Re: Apt verweigert Installation von
« Reply #7 on: 2012/02/10, 23:14:17 »
Damit bekommst Du es doch komplett, alles,was du an KDE installiert hast. Was 4.7.4 in sid angeht: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653919
Interessant (und traurig) ist vor allem der letzte Post.

greetz
devil

Offline Lanzi

  • User
  • Posts: 1.781
Re: Apt verweigert Installation von
« Reply #8 on: 2012/02/10, 23:20:55 »
In der Tat. Schon sehr nerdig...

Es scheint, als ob die zunehmende Komplexität kaum noch zu bewältigen ist... Allerdings erinnere ich mich, dass Du mal sagtest, dass es wohl auch an mangelnder Manpower liegt...

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.844
Re: Apt verweigert Installation von
« Reply #9 on: 2012/02/10, 23:25:38 »
Die mangelnde Manpower besteht durchaus, sowohl bei qt-kde-debian als auch im Release-Team. Letztere kann als einzige diese irrwitzige Situation auflösen, was einer Entscheidung, ein paar Mails an die Maintainer und 10 Minuten Arbeit bedarf. Ich denke das Ganze zeigt exemplarisch, was KDE in Debian wert ist.

greetz
devil

Offline Lanzi

  • User
  • Posts: 1.781
Re: Apt verweigert Installation von
« Reply #10 on: 2012/02/10, 23:44:30 »
Dein letzter Satz ist vermutlich die Qunintessenz aus alldem...
Umso bedauerlicher, wen man bedenkt, wie einseitig Linux werden würde, wenn es nur Gnome und unity gäbe... (lxde und xfce mal außen vor)

Offline midrow

  • User
  • Posts: 69
Re: Apt verweigert Installation von
« Reply #11 on: 2012/02/11, 00:05:39 »
Quote from: "devil"
Nein, apt-get kann das nicht. Das Problem mit aptitude, bzw. dessen Geisselung bei sidux/aptosid ist mehr oder weniger rein psychologischer Natur. aptitude hat generell einen besseren solver als apt, ist dadurch aber auch komplizierter, was bei sid besonders zum tragen kommt. Hinzu kam bis vor einiger Zeit die tatsache, dass man beide nicht nebeneiander verwenden sollte. Das gilt nicht mehr. Du kannst obigen Befehl ohne weiteres ausführen.

Das Ergebnis nach "aptitude update":
Code: [Select]

# aptitude -t experimental install ~S~i~Aexperimental-snapshots
Es werden keine Pakete installiert, aktualisiert oder entfernt.
0 Pakete aktualisiert, 0 zusätzlich installiert, 0 werden entfernt und 316 nicht aktualisiert.
Muss 0 B an Archiven herunterladen. Nach dem Entpacken werden 0 B zusätzlich belegt sein.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.844
Re: Apt verweigert Installation von
« Reply #12 on: 2012/02/11, 00:18:52 »
Dann hast Du siduction wahrscheinlich nicht frisch installiert. Auch hier kann geholfen werden. Downloade
Code: [Select]
http://pkg-kde.alioth.debian.org/files/kde-experimentalund speichere es als  /etc/apt/preferences.d/kde-experimental
Danach ein apt-get update && apt-get dist-upgrade.

Solltest Du bereits ein preferences-file in /etc/apt/ oder unter /etc/apt/preferences.d haben, solltest Du sehr genau wissen, was Du tust.

greetz
devil

Offline midrow

  • User
  • Posts: 69
Re: Apt verweigert Installation von
« Reply #13 on: 2012/02/11, 00:40:31 »
Quote from: "devil"
Dann hast Du siduction wahrscheinlich nicht frisch installiert.
Doch, habe ich! :!:

In /etc/apt/preferences steht:
Code: [Select]
Package: *
Pin: release 0=qt-kde,a=experimental-snapshots
Pin-Priority: 600
/etc/apt/preferences.d/ ist (noch) leer.

Quote
Solltest Du bereits ein preferences-file in /etc/apt/ oder unter /etc/apt/preferences.d haben, solltest Du sehr genau wissen, was Du tust.
Sehr genau weiß ich das nicht, allenfalls grob. Hab mich mit den preferences bisher nur wenig beschäftigt.

Werde mir das Ganze später am Sonntag mal näher anschauen ...

Bis bald
midrow

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.844
Re: Apt verweigert Installation von
« Reply #14 on: 2012/02/11, 00:46:09 »
Ersetze das vorhandene File mit dem von mir verlinkten.

greetz
devil